## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSectorMeshCallback Struct Reference
[Crystal Space 3D Engine]

Set a callback which is called when a mesh is added or removed from this sector. More...

`#include <iengine/sector.h>`

Inheritance diagram for iSectorMeshCallback:

[legend]
List of all members.

## Public Member Functions

virtual void | NewMesh (iSector *sector, iMeshWrapper *mesh)=0
| New mesh.
virtual void | RemoveMesh (iSector *sector, iMeshWrapper *mesh)=0
| Remove mesh.

## Detailed Description

Set a callback which is called when a mesh is added or removed from this sector.

Definition at line 106 of file sector.h.

## Member Function Documentation

virtual void iSectorMeshCallback::NewMesh | ( | iSector * | sector,
|  | iMeshWrapper * | mesh
| ) | `[pure virtual]`

| New mesh. Note that this is also called if the mesh is added as child of another mesh that is in the sector.

virtual void iSectorMeshCallback::RemoveMesh | ( | iSector * | sector,
|  | iMeshWrapper * | mesh
| ) | `[pure virtual]`

| Remove mesh.

The documentation for this struct was generated from the following file:

- iengine/sector.h